MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ResourceManualPointer Class Reference

`#include <MyGUI_ResourceManualPointer.h>`

Inheritance diagram for MyGUI::ResourceManualPointer:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceManualPointer | RTTIBase
Public Types inherited from MyGUI::IPointer
typedef RTTIBase | Base
typedef IPointer | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ResourceManualPointer ()
virtual | ~ResourceManualPointer ()
virtual void | deserialization (xml::ElementPtr _node, Version _version)
virtual void | setImage (ImageBox *_image)
virtual void | setPosition (ImageBox *_image, const IntPoint &_point)
Public Member Functions inherited from MyGUI::IPointer
template<typename Type >
bool | isType () const
| IPointer ()
virtual | ~IPointer ()
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IPointer
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()
virtual | ~IResource ()
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 16 of file MyGUI_ResourceManualPointer.h.

## Member Typedef Documentation

typedef RTTIBase MyGUI::ResourceManualPointer::Base

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

typedef ResourceManualPointer MyGUI::ResourceManualPointer::RTTIBase

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

## Constructor & Destructor Documentation

MyGUI::ResourceManualPointer::ResourceManualPointer | ( |  | ) |

Definition at line 16 of file MyGUI_ResourceManualPointer.cpp.

MyGUI::ResourceManualPointer::~ResourceManualPointer | ( |  | ) |
| virtual

Definition at line 20 of file MyGUI_ResourceManualPointer.cpp.

## Member Function Documentation

void MyGUI::ResourceManualPointer::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| virtual

Reimplemented from MyGUI::IResource.

Definition at line 24 of file MyGUI_ResourceManualPointer.cpp.

static const std::string& MyGUI::ResourceManualPointer::getClassTypeName | ( |  | ) |
| inline static

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

virtual const std::string& MyGUI::ResourceManualPointer::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::IPointer.

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

template<typename Type >

bool MyGUI::ResourceManualPointer::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

virtual bool MyGUI::ResourceManualPointer::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::IPointer.

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

void MyGUI::ResourceManualPointer::setImage | ( | ImageBox * | _image | ) |
| virtual

Implements MyGUI::IPointer.

Definition at line 42 of file MyGUI_ResourceManualPointer.cpp.

void MyGUI::ResourceManualPointer::setPosition | ( | ImageBox * | _image,
|  | const IntPoint & | _point
| ) |  |
| virtual

Implements MyGUI::IPointer.

Definition at line 48 of file MyGUI_ResourceManualPointer.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ResourceManualPointer.h
- MyGUI_ResourceManualPointer.cpp